#!/bin/sh
#Quick script to compile Fortran codes using an input compiler
#Taylor Asher 2014-03-01
#Updated 2014-03-27 to compile checker utility
cpiler="$1"
bindir='../bin'
checkdir='../check'

#Compile programs for running f13builder
$cpiler -o $bindir/mnasf.x mannings_n_finder_v11auto.f
$cpiler -o $bindir/sshag.x sshagiderv01.f90
$cpiler -o $bindir/sss.x sssiderv02.f90
$cpiler -o $bindir/scc.x surface_canopy_v7auto.f
$cpiler -o $bindir/sderl.x surface_roughness_calc_v23auto.f
$cpiler -o $bindir/pwice.x tau0_genautov1.1.f
$cpiler -o $bindir/wris.x wrisoutabox.f90

#Compile program for checker utility
$cpiler -o $checkdir/inflate.x $checkdir/inflate.F
